### Constructor

# Fwupd JcatBlob new

since: 2.1.3

#### Declaration [src]

    FwupdJcatBlob*
    fwupd_jcat_blob_new (
      FwupdJcatBlobKind kind,
      GBytes* data,
      FwupdJcatBlobFlags flags
    )

#### Description [src]

Creates a new blob.

Available since: 2.1.3

#### Parameters

`kind`

  Type: `FwupdJcatBlobKind`

  `FwupdJcatBlobKind`, e.g. `FWUPD_JCAT_BLOB_KIND_SHA256`.

`data`

  Type: `GBytes`

  `GBytes`.

  The data is owned by the caller of the function.

`flags`

  Type: `FwupdJcatBlobFlags`

  `FwupdJcatBlobFlags`.

#### Return value

Type: `FwupdJcatBlob`

A `FwupdJcatBlob`.

The caller of the function takes ownership of the data, and is responsible for freeing it.